# $Revision: 1.6 $, $Date: 2002/09/25 12:02:22 $
Summary:	Generic Data Structures Library
Summary(pl):	Biblioteka podstawowych struktur danych
Name:		gdsl
Version:	1.0
Release:	3
License:	GPL v2
Group:		Libraries
Source0:	http://freesoftware.fsf.org/download/gdsl/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac.patch
URL:		http://www.freesoftware.fsf.org/gdsl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GDSL (Generic Data Structures Library) is a portable and
OS-independant generic data structures manipulation library fully
written in pure ANSI C from scratch, for C programmers. Most common
data structures are available with powerful algorithms and hidden
implementation. Available structures are lists, queues, stacks, hash
tables, binary trees, search binary trees, red-black trees, 2D arrays,
and permutations.

%description -l pl
GSSL (Generic Data Structues Library) to przenona i niezalena od
systemu operacyjnego biblioteka operacji na podstawowych strukturach
danych, napisana od zera w czystym ANSI C, dla programistw C.
Wikszo oglnych struktur danych jest dostpna wraz z potnymi
algorytmami i ukryt implementacj. Dostpne struktury to listy,
kolejki, stosy, tablice haszujce, drzewa binarne, drzewa wyszukiwa
binarnych, drzewa czerwono-czarne, tablice dwuwymiarowe i permutacje.

%package devel
Summary:	Header files and development documentation for Generic Data Structures Library
Summary(pl):	Pliki nagwkowe i dokumentacja do biblioteki podstawowych struktur danych
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for Generic Data Structures
Library.

%description devel -l pl
Pliki nagwkowe i dokumentacja do biblioteki podstawowych struktur
danych.

%package static
Summary:	Static Generic Data Structures Library
Summary(pl):	Statyczna biblioteka podstawowych struktur danych
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static Generic Data Structures Library.

%description static -l pl
Statyczna biblioteka podstawowych struktur danych.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc src/examples/* README TODO
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.la
%dir %{_includedir}/gdsl
%{_includedir}/gdsl/*.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gdsl.spec,v $
Revision 1.6  2002/09/25 12:02:22  kloczek
- release 3.

Revision 1.5  2002/09/24 15:04:11  kloczek
- more macros.

Revision 1.4  2002/07/11 07:57:05  qboosh
- fixed typo in Requires; release 2

Revision 1.3  2002/07/10 02:31:44  kloczek
- regenerate also lt files,
- added BuildRequires rules.

Revision 1.2  2002/07/07 20:55:39  qboosh
- pl description, added missing dir to -devel

Revision 1.1  2002/07/03 15:55:32  blues
- initial release
